- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies/get#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies/get#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies/get#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies/get#try-it)

Gets the details of a specific Redis Cluster ACL policy.

### HTTP request

`GET https://redis.googleapis.com/v1alpha1/{name=projects/*/locations/*/aclPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Redis ACL policy resource name using the form: `projects/{projectId}/locations/{locationId}/aclPolicies/{aclPolicyId}` where `locationId` refers to a Google Cloud region. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.aclPolicies#AclPolicy`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).